Page MenuHomePhabricator

Manage ValueParsers based on central DataType registry
Closed, ResolvedPublic

Event Timeline

daniel created this task.Aug 25 2015, 5:26 PM
daniel raised the priority of this task from to Normal.
daniel updated the task description. (Show Details)
daniel removed a project: Patch-For-Review.
daniel set Security to None.

Change 228865 had a related patch set uploaded (by Daniel Kinzler):
Switch ValueParser definition to $wgWBRepoDataTypes

https://gerrit.wikimedia.org/r/228865

Change 228854 had a related patch set uploaded (by Daniel Kinzler):
Introduce $wgWBRepoDataTypes. Use it to define validators.

https://gerrit.wikimedia.org/r/228854

daniel claimed this task.Aug 25 2015, 5:39 PM
daniel moved this task from Backlog to Review on the Wikidata-Sprint-2015-08-18 board.

Change 228854 merged by jenkins-bot:
Introduce $wgWBRepoDataTypes. Use it to define validators.

https://gerrit.wikimedia.org/r/228854

Change 228865 merged by jenkins-bot:
Switch ValueParser definition to $wgWBRepoDataTypes

https://gerrit.wikimedia.org/r/228865

daniel closed this task as Resolved.Sep 2 2015, 10:30 AM
daniel moved this task from Review to Done on the Wikidata-Sprint-2015-09-01 board.